Returns the status of the SCIM token for a tenant if it exists else, throws an exception.

Permission level: tenant-admin

GET /clients/scim/status

Operation id: ClientService_GetSCIMTokenStatus

Tags: ClientService

Parameters

Query parameters

NameTypeRequiredDescription
tenantIdstringNoOptional: Tenant whose SCIM token status should be retrieved. If omitted, the tenant is derived from the authenticated tenant context.

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
expiresAtstring (date-time)NoTimestamp of the latest active SCIM bearer token expiry.
{
  "type": "object",
  "properties": {
    "expiresAt": {
      "type": "string",
      "format": "date-time",
      "description": "Timestamp of the latest active SCIM bearer token expiry."
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}